﻿using System;
using System.Collections.Generic;

namespace AvaloniaApplication5.Models;

public partial class Teacher
{
    public int Id { get; set; }

    public string LastName { get; set; } = null!;

    public string FirstName { get; set; } = null!;

    public string PatronymicName { get; set; } = null!;

    public int? GenderId { get; set; }

    public DateTime DateOfBirth { get; set; }

    public int? Experience { get; set; }

    public string Email { get; set; } = null!;

    public string? Phone { get; set; }

    public virtual Gender? Gender { get; set; }

    public virtual ICollection<TeacherCourse> TeacherCourses { get; set; } = new List<TeacherCourse>();

    public virtual ICollection<TeacherDiscipline> TeacherDisciplines { get; set; } = new List<TeacherDiscipline>();
}
